Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.collection
Class CollectionOperator

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.collection.CollectionOperator

Direct Known Subclasses:
  CollectionContains, CollectionContainsAll

public abstract class CollectionOperator
extends Operator
implements BinaryOperator

A base class for all the collection operators.

See Also:
  Serialized Form

Constructor Summary
`protected` | `CollectionOperator()` Allocates a `CollectionOperator` without associating any operands.
`protected` | `CollectionOperator(java.lang.Object operand1, java.lang.Object operand2)` Allocates a `CollectionOperator` by associating the given operands.

Method Summary
`java.lang.Object` | `getLeftHandSide()`
`java.lang.Object` | `getRightHandSide()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`accept, addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParameterSignature, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionOperator

    protected CollectionOperator()

  Allocates a `CollectionOperator` without associating any operands.

### CollectionOperator

    protected CollectionOperator(java.lang.Object operand1,
                                 java.lang.Object operand2)

  Allocates a `CollectionOperator` by associating the given operands.

  Parameters:
    `operand1` - An `Object`, that is given as a first operand.
    `operand2` - An `Object`, that is given as a second operand.

Method Detail

### getLeftHandSide

    public final java.lang.Object getLeftHandSide()

  Specified by:
    getLeftHandSide in interface BinaryOperator

### getRightHandSide

    public final java.lang.Object getRightHandSide()

  Specified by:
    getRightHandSide in interface BinaryOperator

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved